import 'package:json_annotation/json_annotation.dart';

part 'response_endpoint.g.dart';

@JsonSerializable()
class PaymentResponseEndpointDTO {
  final String? type;
  final Map<String, dynamic>? data;
  final String? paymentMethodRef;
  final String? payeeRef;

  const PaymentResponseEndpointDTO({
    this.type,
    this.data,
    this.paymentMethodRef,
    this.payeeRef,
  });

  factory PaymentResponseEndpointDTO.fromJson(Map<String, dynamic> json) =>
      _$PaymentResponseEndpointDTOFromJson(json);
  Map<String, dynamic> toJson() => _$PaymentResponseEndpointDTOToJson(this);
}
